import React, { useState } from 'react';
import styled, { css } from 'styled-components';

function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }
  strings.raw = raw;
  return strings;
}

var _templateObject, _templateObject2, _templateObject3;
var Btn = /*#__PURE__*/styled.button(_templateObject || (_templateObject = /*#__PURE__*/_taggedTemplateLiteralLoose(["\n    background-color: ", ";\n    padding: 16px 32px;\n    border: 2px solid #EB9B00;\n    color: ", ";\n    font-size: 20px;\n    cursor: pointer;\n\n    ", "\n\n    \n"])), function (props) {
  return props.model === 'primary' ? '#EB9B00' : '#FFF';
}, function (props) {
  return props.model === 'primary' ? '#FFF' : '#EB9B00';
}, function (props) {
  return props.model === 'primary' ? css(_templateObject2 || (_templateObject2 = _taggedTemplateLiteralLoose(["\n            &:hover{\n                background-color: #B87900;\n                border: 2px solid #BB7900;\n                color: #FFF;\n                transition: all 0.2s ease-in-out;\n            }   \n        "]))) : css(_templateObject3 || (_templateObject3 = _taggedTemplateLiteralLoose(["\n            &:hover {\n            background-color: #FFF;\n            border: 2px solid #B87900;\n            color: #B87900; \n            transition: all 0.2s ease-in-out;\n        }\n        "])));
});

var AbBotao = function AbBotao(_ref) {
  var text = _ref.text,
    onClick = _ref.onClick,
    _ref$model = _ref.model,
    model = _ref$model === void 0 ? 'primary' : _ref$model;
  return React.createElement(Btn, {
    onClick: onClick,
    model: model
  }, text);
};

var _templateObject$1;
var Box = /*#__PURE__*/styled.section(_templateObject$1 || (_templateObject$1 = /*#__PURE__*/_taggedTemplateLiteralLoose(["\n    width: 194px;\n    height: 88px;\n    background: ", ";\n    border: 1px solid ", ";\n    border-radius: 8PX;\n    display: flex;\n    flex-direction: column;\n    justify-content: space-evenly; \n    align-items: center;\n    margin: 10px;\n    font-family: sans-serif;\n    cursor: pointer;\n\n    header{\n        color: ", ";\n        font-size: 12px;\n        font-weight: 400;\n    }\n\n    strong{\n        color: ", ";\n        font-weight: 700;\n        font-size: 16px;\n    }\n\n    footer{\n        color: ", ";\n        font-weight: 400;\n        font-size: 12px;\n    }\n"])), function (props) {
  return props.active ? 'linear-gradient(97.54deg, #002F52 35.49%, #326589 165.37%)' : '#FFFFFF';
}, function (props) {
  return props.active ? '#002F52' : '#EB9B00';
}, function (props) {
  return props.active ? '#FFFFFF' : '#EB9B00';
}, function (props) {
  return props.active ? '#FFFFFF' : '#EB9B00';
}, function (props) {
  return props.active ? '#FFFFFF' : 'rgba(0, 0, 0, 0.54)';
});

var AbGrupoOpcoes = function AbGrupoOpcoes(_ref) {
  var opcoes = _ref.opcoes;
  var _useState = useState(null),
    select = _useState[0],
    setSelect = _useState[1];
  var SelectFilter = function SelectFilter(index) {
    setSelect(index);
  };
  return React.createElement(React.Fragment, null, opcoes == null ? void 0 : opcoes.map(function (opcao) {
    return React.createElement(Box, {
      onClick: function onClick() {
        return SelectFilter(opcao);
      },
      key: opcao.id,
      active: (select == null ? void 0 : select.id) == opcao.id
    }, React.createElement("header", null, opcao.title), React.createElement("div", null, React.createElement("strong", null, "R$", opcao.price)), React.createElement("footer", null, opcao.footer));
  }));
};

var _templateObject$2, _templateObject2$1;
var BtnSmaller = /*#__PURE__*/styled.button(_templateObject$2 || (_templateObject$2 = /*#__PURE__*/_taggedTemplateLiteralLoose(["\n    width: 32px;\n    height: 32px;\n    background-color: ", ";\n    color: ", ";\n    border-radius: 50%;\n    outline: none;\n    border: 2px solid ", ";\n    margin: 0 14px 0 14px;\n    cursor: pointer;\n"])), function (props) {
  return props.backgroundColorSmaller ? props.backgroundColorSmaller : '#012f52';
}, function (props) {
  return props.colorSmaller ? props.colorSmaller : '#FFF';
}, function (props) {
  return props.borderColorSmaller ? props.borderColorSmaller : '#012f52';
});
var BtnLarger = /*#__PURE__*/styled.button(_templateObject2$1 || (_templateObject2$1 = /*#__PURE__*/_taggedTemplateLiteralLoose(["\n    width: 32px;\n    height: 32px;\n    background-color: ", ";\n    color: ", ";\n    border-radius: 50%;\n    outline: none;\n    border: 2px solid ", ";\n    margin: 0 14px 0 14px;\n    cursor: pointer;\n"])), function (props) {
  return props.backgroundColorLarger ? props.backgroundColorLarger : '#012f52';
}, function (props) {
  return props.colorLarger ? props.colorLarger : '#FFF';
}, function (props) {
  return props.borderColorLarger ? props.borderColorLarger : '#012f52';
});

var AbButtonQtd = function AbButtonQtd(_ref) {
  var BtnSmaller$1 = _ref.BtnSmaller,
    BtnLarger$1 = _ref.BtnLarger,
    BackgroundColorSmaller = _ref.BackgroundColorSmaller,
    BackgroundColorLarger = _ref.BackgroundColorLarger,
    BorderColorLarger = _ref.BorderColorLarger,
    BorderColorSmaller = _ref.BorderColorSmaller,
    ColorLarger = _ref.ColorLarger,
    ColorSmaller = _ref.ColorSmaller;
  var _useState = useState(0),
    contador = _useState[0],
    setContador = _useState[1];
  var AddClick = function AddClick() {
    setContador(contador + 1);
  };
  var RemoveClick = function RemoveClick() {
    setContador(contador - 1);
  };
  return React.createElement(React.Fragment, null, React.createElement(BtnSmaller, {
    borderColorSmaller: BorderColorSmaller,
    backgroundColorSmaller: BackgroundColorSmaller,
    colorSmaller: ColorSmaller,
    onClick: RemoveClick
  }, BtnSmaller$1), React.createElement("span", null, contador), React.createElement(BtnLarger, {
    borderColorLarger: BorderColorLarger,
    backgroundColorLarger: BackgroundColorLarger,
    colorLarger: ColorLarger,
    onClick: AddClick
  }, BtnLarger$1));
};

var _templateObject$3;
var BoxButton = /*#__PURE__*/styled.button(_templateObject$3 || (_templateObject$3 = /*#__PURE__*/_taggedTemplateLiteralLoose(["\n    position: relative;\n    width: 85px;\n    height: 85px;\n    display: flex;\n    flex-direction: column;\n    justify-content: center;\n    background-color: transparent;\n    border: none;\n    align-items: center;\n    cursor: pointer;\n    z-index: 70;\n\n\n        span{\n            position: absolute;\n            width: 40px;\n            height: 3px;\n            border-radius: 40px;\n            background-color: ", ";\n            transition: 0.25s;\n            \n            \n\n        ", "\n    }\n"])), function (props) {
  return props.backgroundColor ? props.backgroundColor : '#012f52';
}, function (_ref) {
  var isActive = _ref.isActive;
  return isActive ? "\n            &:nth-child(1){\n                position: fixed;\n                transform: translateY(0);\n                transform: rotate(-45deg);\n            }\n\n            &:nth-child(2){\n                position: fixed;\n                transform: rotate(45deg);\n            }\n\n            &:nth-child(3){\n                opacity: 0;\n            }\n        " : "\n            &:nth-child(1){\n                transform: translateY(-13px);\n            }\n\n            &:nth-child(3){\n                transform: translateY(13px);\n            }\n        ";
});

var AbBurguer = function AbBurguer(_ref) {
  var backgroundColor = _ref.backgroundColor;
  var _useState = useState(false),
    isActive = _useState[0],
    setActive = _useState[1];
  return React.createElement(BoxButton, {
    isActive: isActive,
    onClick: function onClick() {
      return setActive(!isActive);
    },
    backgroundColor: backgroundColor
  }, React.createElement("span", null), React.createElement("span", null), React.createElement("span", null));
};

var Thing = function Thing(_ref) {
  var children = _ref.children;
  return React.createElement("div", null, children || "the snozzberries taste like snozzberries");
};

export { AbBotao, AbBurguer, AbButtonQtd, AbGrupoOpcoes, Thing };
//# sourceMappingURL=designsystemjx.esm.js.map
